casper.start( 'http://0.0.0.0:9001/index.html' );

casper.then(function(){
    // buttons
    phantomcss.screenshot('[data-qa="default-button"]', 'Default Button');
    phantomcss.screenshot('[data-qa="primary-button"]', 'Primary Button');
    phantomcss.screenshot('[data-qa="tertiary-button"]', 'Tertiary Button');
    phantomcss.screenshot('[data-qa="button-group"]', 'Button Group');
    phantomcss.screenshot('[data-qa="button-toolbar"]', 'Button Toolbar');

    // headlines
    phantomcss.screenshot('[data-qa="headlines"]', 'Headlines');

    // navbars
    phantomcss.screenshot('[data-qa="navbar-simple"]', 'Simple Navbar');
    // failing due to issue with font
    // https://bugs.launchpad.net/ulysses/+bug/1300209
    phantomcss.screenshot('[data-qa="navbar-invert"]', 'Invert Navbar');
    phantomcss.screenshot('[data-qa="navbar-full"]', 'Full Navbar');
    phantomcss.screenshot('[data-qa="navbar-button"]', 'Navbar with button');
    phantomcss.screenshot('[data-qa="navbar-secondary-text"]', 'Navbar with secondary text');

    // forms
    phantomcss.screenshot('[data-qa="default-form"]', 'Default form');
    phantomcss.screenshot('[data-qa="inline-form"]', 'Inline form');
    phantomcss.screenshot('[data-qa="checkboxes-and-radios"]', 'Checkboxes and radios');

    // grids
    phantomcss.screenshot('[data-qa="grids"]', 'grids');

    // messages
    // phantomcss.screenshot('[data-qa="notifications"]', 'notifications');
    //
});


casper.then( function(){
    //phantomcss.compareAll();
    phantomcss.compareSession();
});


casper.then( function end_it(){
    casper.test.done();
});

casper.run(function(){
    console.log('\nTHE END.');
    phantom.exit(phantomcss.getExitStatus());
});
